## ccbuild 1.5.6

=== md5-cc/Makefile ===

SHELL=/bin/sh
CC=CC

md5:		driver.o md5.o
	$(CC) -o md5 driver.o md5.o

driver.o:	driver.cc
	$(CC) -c driver.cc

md5.o:		md5.hh md5.cc
	$(CC) -c md5.cc

clean:
	-rm *.o md5

=== doc/ccbuild/Makefile ===
.PHONY: all
all: ccbuild.1 ccbuild.dvi ccbuild.html ccbuildman.html
	

ccbuild.1: ccbuildman.sgml
	docbook-to-man $< > $@

ccbuildman.html: ccbuildman.sgml
	docbook2html -u -o . $<

ccbuild.dvi: ccbuild.sgml
	debiandoc2dvi $<

	
ccbuild.html: ccbuild.sgml
	debiandoc2html $<

clean:
	rm -f ccbuild.1 ccbuild.dvi ccbuild.info ccbuildman.html ccbuild.log ccbuild.tex-in ccbuild.toc ccbuild.aux missfont.log ccbuild.tex
	rm -rf ccbuild.html

## ccbuild 1.5.7

=== debian/changelog ===
ccbuild (1.5.7-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): update to debhelper 7.1.
    - (Description): Fix spelling mistake (Closes: #565735).
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Update upstream URL.
  * debian/debian-save-restore
    - New file.
  * debian/rules
    - (FILE_LIST_PRESERVE): New variable to Preserve original files in
      source package.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 15:21:15 +0200

ccbuild (1.5.7-1) unstable; urgency=low

  * Initial release for Debian (Closes: #563833).
    - ACK Ubuntu package
      http://packages.ubuntu.com/lucid/ccbuild
    - Move to format: 3.0 (quilt).
  * debian/clean
    - New file.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.
    - (Description): Update wording.
    - (Standards-Version): Update to 3.8.3.
    - (Homepage): Point to freshmeat.
    - (Vcs-*): New fields.
  * debian/copyright
    - Update layout.
  * debian/rules
    - Update to dh(1) format.
  * debian/watch
    - Update to format 3.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 14 Jan 2010 06:35:09 +0200

ccbuild (1.5.7-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #302775)

 -- A. Bram Neijt <bneijt@gmail.com>  Fri, 21 Nov 2008 23:32:38 +0100

ccbuild (1.5.6-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- A. Bram Neijt <bneijt@gmail.com>  Sat, 01 Dec 2007 14:36:35 +0100

ccbuild (1.5.5-0ubuntu1) gutsy; urgency=low

  * Initial release

 -- A. Bram Neijt <bneijt@gmail.com>  Mon, 02 Jul 2007 17:43:30 +0200

=== debian/control ===
Source: ccbuild
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), autotools-dev, flex, libgcrypt-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/ccbuild.git
Vcs-Git: git://git.debian.org/git/collab-maint/ccbuild.git
Homepage: http://freshmeat.net/projects/ccbuild

Package: ccbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A C++ source scanning build utility
 Scan the source for main functions and includes. When the file
 contains a main function it will compile all the files next to that
 file's includes and link them into a program.
 .
 This makes it possible to build entire programs with minimal
 configuration. Linker and compiler options can be added and will be
 automatically divided over the compiler and linker.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include debian/debian-save-restore.mk

# Inclued in original sources,; dh(1) would delete these.
FILE_LIST_PRESERVE = \
 src/MD5Info/MD5Hash/GCrypt/GCrypt.cc~ \
 src/MD5Info/MD5Hash/GCrypt/GCrypt.hh~ \
 src/ccbuild.cc~

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean

install: build
	# target: install
	dh_testdir
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/ccbuild install

binary-arch: install
	# target: binary-arch - Build architecture-dependent files
	$(file-state-restore)
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

%:
	dh  $@

.PHONY: install binary-arch binary

# End of file

=== debian/watch ===
version=3
http://sf.net/ccbuild/ccbuild-([0-9\.]+)\.tar\.gz

## ccbuild 2.0.1

=== debian/changelog ===
ccbuild (2.0.1-1) unstable; urgency=low

  [ Jari Aalto ]
  * New upstream release.
  * debian/clean
    - New file.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depands): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/copyright
    - Update download URL.
  * debian/patches
    - (10): Refresh.
  * debian/rules
    - Remove unnecessary targets and move to full dh(1).
  * debian/watch
    - Update URL.

  [ Markus Schölzel <m-schoelzel@web.de> ]
  * debian/control
    - (Build-Depands): Add libgnutls-dev, libbobcat-dev,
      pkg-config,libboost-dev.
  * debian/rules
    - (CXXFLAGS): New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 12 Nov 2010 21:37:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), autotools-dev, flex, libgcrypt-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), autotools-dev, flex, libgnutls-dev, libbobcat-dev, pkg-config, libboost-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ccbuild.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ccbuild.git
 Homepage: http://freshmeat.net/projects/ccbuild

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS += -std=c++0x

include debian/debian-save-restore.mk

# Included in original sources; dh(1) would delete these.
FILE_LIST_PRESERVE = \
 src/MD5Info/MD5Hash/GCrypt/GCrypt.cc~ \
 src/MD5Info/MD5Hash/GCrypt/GCrypt.hh~ \
 src/ccbuild.cc~

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) DESTDIR=$(CURDIR)/debian/ccbuild install

override_dh_installchangelogs:
	$(file-state-restore)
	dh_installchangelogs ChangeLog

%:
	dh  $@

# End of file

## ccbuild 2.0.2

=== debian/changelog ===
ccbuild (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - (License): Add LGPL.
  * debian/patches
    - (10): Deleted. Manual page fix accepted upstream.
  * debian/rules
    - (FILE_LIST_PRESERVE): Update due to autoreconf(1).
    - (override_dh_auto_clean): Clean up files manually.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 15 Oct 2011 10:26:27 +0300

ccbuild (2.0.1-2) unstable; urgency=low

  * debian/control
    - (Build-Depands): Require libboost-dev (>= 1.37). Add autoconf, automake.
    - (Description): Adjust line (lintian).
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP 5.
  * debian/patches
    - (20): Disable boost version check to prevent configure choking.
  * debian/rules
    - (CXXFLAGS): Change from -std=c++0x to -std=gnu++0x.
    - (CFLAGS): New
    - (FILE_LIST_PRESERVE): Remove generated files.
    - (override_dh_auto_build): Pass CXXFLAGS (FTBFS; Closes: #642699).
    - (override_dh_auto_configure): Copy fresh config.* files.
    - (override_dh_auto_clean): Clean up updated config files.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 29 Sep 2011 08:37:29 +0300

=== debian/control ===
Source: ccbuild
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), automake, autoconf, autotools-dev, flex, libgnutls-dev, libbobcat-dev, pkg-config, libboost-dev (>= 1.37)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/ccbuild.git
Vcs-Git: git://git.debian.org/git/collab-maint/ccbuild.git
Homepage: http://freshmeat.net/projects/ccbuild

Package: ccbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: source scanning build utility for C++
 Scan the source for main functions and includes. When the file
 contains a main function it will compile all the files next to that
 file's includes and link them into a program.
 .
 This makes it possible to build entire programs with minimal
 configuration. Linker and compiler options can be added and will be
 automatically divided over the compiler and linker.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE  = ccbuild
CXXFLAGS += -std=gnu++0x

include debian/debian-save-restore.mk

# autoreconf(1) changes few
FILE_LIST_PRESERVE = \
 INSTALL \
 Makefile.in \
 aclocal.m4 \
 configure \
 doc/ccbuild/Makefile

override_dh_auto_clean:
	$(file-state-save)

	# Do all manually. Makefile would run ./config.status --recheck
	find .  -type f \
		-name $(PACKAGE) \
		-o -name Makefile \
		-o -name "*.o" \
		-o -name "config.*" \
		-o -name .dirstamp \
		| xargs --no-run-if-empty rm

	find . -type d -name .deps \
		| xargs --no-run-if-empty rm -r

	# Due to autoreconf(1)
	rm -f	INSTALL Makefile.in aclocal.m4 config.* configure \
		src/SourceScanner/yylex.cc

override_dh_auto_configure:
	# See patch 20. We have to regenerate ./configure
	cp -vf /usr/share/misc/config.sub .
	cp -vf /usr/share/misc/config.guess .
	autoreconf -vfi
	dh_auto_configure

override_dh_auto_build:
	# For some reason, the only way to pass flags is in CXX
	@echo "# environment: CXX $(CXX) CFLAGS $(CFLAGS) CXXFLAGS $(CXXFLAGS)"
	$(MAKE) CXX="g++ $(CXXFLAGS)" DESTDIR=$(CURDIR)/debian/ccbuild install

override_dh_installchangelogs:
	$(file-state-restore)
	dh_installchangelogs ChangeLog

%:
	dh  $@

# End of file

## ccbuild 2.0.3

=== debian/changelog ===
ccbuild (2.0.3-1) unstable; urgency=low

  * New upstream releases (FTBFS Gcc 4.7; Closes: #667132).
  * debian/compat
    - Update to 9
  * debian/control
    - No longer a generated file. Package bobcat is now available on
      all archs.
    - (Architecture): Update to any.
    - (Build-Depends): Move to debhelper 9 and thus remove dpkg-dev.
      Require at least libbobcat-dev (>= 2.22), as it now compiles in hurd.
    - (Standards-Version): Update to 3.9.3.
  * debian/control.in:
    - Transitional file for bobcat package.
  * debian/copyright:
    - Update to Format 1.0.
  * debian/debian-save-restore.mk
    - Minor updates.
  * debian/rules:
     - Use DEB_*_MAINT_* variables.
    - (FILE_LIST_PRESERVE): Add depcomp.
    - (control): New. Generate debian/control::Architecture. Exclude
      official archs that have problems with packages like libbobcat-dev
      (hurd-i386). See RM Bug#650192.
    - (override_dh_auto_build): Fix yylex.cc with -pedantic flag.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 15 May 2012 00:32:13 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), automake, autoconf, autotools-dev, flex, libgnutls-dev, libbobcat-dev, pkg-config, libboost-dev (>= 1.37)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), automake, autoconf, autotools-dev, flex, libgnutls-dev, libbobcat-dev (>= 2.22), pkg-config, libboost-dev (>= 1.37)
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ccbuild.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ccbuild.git
 Homepage: http://freshmeat.net/projects/ccbuild

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,41 @@
 #!/usr/bin/make -f
 
-PACKAGE  = ccbuild
-CXXFLAGS += -std=gnu++0x
+PACKAGE	 = ccbuild
 
 include debian/debian-save-restore.mk
 
 # autoreconf(1) changes few
 FILE_LIST_PRESERVE = \
+ depcomp \
  INSTALL \
  Makefile.in \
  aclocal.m4 \
  configure \
+ configure.in \
  doc/ccbuild/Makefile
+
+export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# 2012-05-15 No longer used. Bobcat 2.22 is working on hurd again.
+control:
+	# target: control -- Generate debian/control from *.in
+	# 2011-11-30 Exclude due to problems in package
+	# bobcat (hurd-i386).
+	# https://buildd.debian.org/status/package.php?p=bobcat&suite=sid
+
+	arch=$$(dpkg-architecture -L | grep -Ev 'hurd' | sort); \
+	sed "s/@arch@/$$(echo $$arch)/g" debian/control.in > debian/control
+
+override_dh_clean:
+	dh_clean
 
 override_dh_auto_clean:
 	$(file-state-save)
 
 	# Do all manually. Makefile would run ./config.status --recheck
-	find .  -type f \
+	find .	-type f \
 		-name $(PACKAGE) \
 		-o -name Makefile \
 		-o -name "*.o" \
@@ -33,13 +51,22 @@
 		src/SourceScanner/yylex.cc
 
 override_dh_auto_configure:
-	# See patch 20. We have to regenerate ./configure
-	cp -vf /usr/share/misc/config.sub .
-	cp -vf /usr/share/misc/config.guess .
+	# See 20. We have to regenerate ./configure
+	cp -vf /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	autoreconf -vfi
 	dh_auto_configure
 
 override_dh_auto_build:
+	# Fix -pedantic: "flex adds the declaration of isatty in the
+	# generated source file but this declaration is already
+	# present in the included /usr/include/unistd.h file."
+	#
+	# see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=488274
+	$(MAKE) src/sourceScanner/yylex.cc
+	sed --in-place "s,^\(extern.*isatty.*\),/* \1 */," \
+	    src/sourceScanner/yylex.cc
+	grep -nH isatty src/sourceScanner/yylex.cc
+
 	# For some reason, the only way to pass flags is in CXX
 	@echo "# environment: CXX $(CXX) CFLAGS $(CFLAGS) CXXFLAGS $(CXXFLAGS)"
 	$(MAKE) CXX="g++ $(CXXFLAGS)" DESTDIR=$(CURDIR)/debian/ccbuild install

## ccbuild 2.0.3+20130615+git53d9523

=== debian/changelog ===
ccbuild (2.0.3+20130615+git53d9523-1) unstable; urgency=low

  * New upstream release
    - Correct Errno (FTBFS; Closes: #710618). For more information, see
      https://github.com/bneijt/ccbuild/issues/27
  * debian/control
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright:
    - Update year. Update to GPL-3+.
  * debian/rules
    - Reorder file-state-{save-restore} calls.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 15 Jun 2013 22:24:18 +0300

## ccbuild 2.0.4

=== debian/changelog ===
ccbuild (2.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - Update year.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Jul 2013 10:39:27 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), automake, autoconf, autotools-dev, flex, libgnutls-dev, libbobcat-dev (>= 2.22), pkg-config, libboost-dev (>= 1.37)
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ccbuild.git
-Vcs-Git: git://git.debian.org/git/collab-maint/ccbuild.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ccbuild.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ccbuild.git
 Homepage: http://freshmeat.net/projects/ccbuild
 
 Package: ccbuild

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,19 @@
 
 include debian/debian-save-restore.mk
 
-# autoreconf(1) changes few
+# Due to autoreconf(1)
 FILE_LIST_PRESERVE = \
+ INSTALL \
  depcomp \
- INSTALL \
  Makefile.in \
  aclocal.m4 \
  configure \
  configure.in \
- doc/ccbuild/Makefile
+ depcomp \
+ install-sh \
+ missing \
+ doc/ccbuild/Makefile \
+ src/sourceScanner/yylex.cc
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
@@ -32,27 +36,23 @@
 	dh_clean
 
 override_dh_auto_clean:
-	$(file-state-save)
-
 	# Do all manually. Makefile would run ./config.status --recheck
 	find .	-type f \
 		-name $(PACKAGE) \
-		-o -name Makefile \
 		-o -name "*.o" \
-		-o -name "config.*" \
 		-o -name .dirstamp \
 		| xargs --no-run-if-empty rm
 
 	find . -type d -name .deps \
 		| xargs --no-run-if-empty rm -r
 
-	# Due to autoreconf(1)
-	rm -f	INSTALL Makefile.in aclocal.m4 config.* configure \
-		src/SourceScanner/yylex.cc
+	$(file-state-restore)
 
 override_dh_auto_configure:
-	# See 20. We have to regenerate ./configure
+	$(file-state-save)
+	# See patch 20. We have to regenerate ./configure
 	cp -vf /usr/share/misc/config.sub /usr/share/misc/config.guess .
+	touch README
 	autoreconf -vfi
 	dh_auto_configure
 
@@ -72,7 +72,6 @@
 	$(MAKE) CXX="g++ $(CXXFLAGS)" DESTDIR=$(CURDIR)/debian/ccbuild install
 
 override_dh_installchangelogs:
-	$(file-state-restore)
 	dh_installchangelogs ChangeLog
 
 %:

## ccbuild 2.0.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (ccbuild)
add_definitions(-DVERSION="2.0.6")
link_libraries(libgcrypt gomp bobcat openssl)
add_definitions(-std=c++11 -fopenmp)
add_executable(ccbuild src/ccbuild.cc src/misc/debug.hh src/MD5Info/MD5Info.hh src/MD5Info/statics.cc src/MD5Info/MD5Info.ih src/MD5Info/save.cc src/MD5Info/old.cc src/MD5Info/load.cc src/MD5Info/hashFilenameFor.cc src/MD5Info/getInstance.cc src/MD5Info/destroy.cc src/MD5Info/contentHash.cc src/MD5Info/MD5Info.cc src/misc/foreach.hh src/options/options.hh src/options/statics.cc src/options/options.ih src/openmp/scopedLock/scopedLock.hh src/openmp/lock/lock.hh src/system/system.hh src/system/uname.cc src/system/system.ih src/system/trimmed.cc src/system/trim.cc src/system/system.cc src/system/statics.cc src/system/sleep.cc src/system/resolveTest.cc src/system/projectName.cc src/system/parseArguments.cc src/system/mkdtemp.cc src/system/md5.cc src/system/makefileForAll.cc src/system/makefileFor.cc src/system/localSourcesInto.cc src/system/lib.cc src/system/inspect.cc src/system/icmake.cc src/system/exit.cc src/system/dotgraphForAll.cc src/system/dotgraphFor.cc src/system/distclean.cc src/system/destroy.cc src/system/depsFor.cc src/system/collectTargets.cc src/system/clean.cc src/system/check.cc src/system/changeTo.cc src/system/buildAll.cc src/system/build.cc src/system/batchCompile.cc src/system/addArguments.cc src/system/aapForAll.cc src/system/aapFor.cc src/posix/wordexp.h src/with/with.hh src/string/string.hh src/string/toUpper.cc src/string/string.ih src/string/replace.cc src/globallocks/globallocks.hh src/globallocks/statics.cc src/globallocks/globallocks.ih src/globals/globals.hh src/globals/statics.cc src/globals/globals.ih src/globals/indexoperator.cc src/globals/globals.cc src/globals/getInstance.cc src/globals/destroy.cc src/fileSystem/fileSystem.hh src/fileSystem/touch.cc src/fileSystem/fileSystem.ih src/fileSystem/rmIfExists.cc src/fileSystem/rmDirectoryIfExists.cc src/fileSystem/rename.cc src/fileSystem/recursiveGlobDirectoriesInto.cc src/fileSystem/newer.cc src/fileSystem/modTime.cc src/fileSystem/isReadable.cc src/fileSystem/isDirectory.cc src/fileSystem/globSourceFilesInto.cc src/fileSystem/globInto.cc src/fileSystem/globFilesInto.cc src/fileSystem/globDirectoriesInto.cc src/fileSystem/fileName.cc src/fileSystem/fileExists.cc src/fileSystem/ensureDirectory.cc src/fileSystem/directoryName.cc src/fileSystem/cwd.cc src/fileSystem/cleanPath.cc src/fileSystem/baseName.cc src/fileSystem/absolutePath.cc src/problem/problem.hh src/problem/problem.cc src/problem/problem.ih src/resolver/resolver.hh src/resolver/statics.cc src/resolver/resolver.ih src/resolver/resolver.cc src/resolver/resolveInto.cc src/resolver/resolve.cc src/resolver/loadIfExists.cc src/resolver/getInstance.cc src/resolver/expand.cc src/resolver/destroy.cc src/compiler/compiler.hh src/compiler/statics.cc src/compiler/compiler.ih src/compiler/splitInto.cc src/compiler/precompileCommand.cc src/compiler/precompile.cc src/compiler/operator_add.cc src/compiler/linkCommand.cc src/compiler/link.cc src/compiler/libCommand.cc src/compiler/lib.cc src/compiler/countFirstLinkerArguments.cc src/compiler/compileCommand.cc src/compiler/compile.cc src/compiler/cls.cc src/compiler/ar.cc src/compiler/addObject.cc src/compiler/addArgument.cc src/sources/sources.hh src/sources/statics.cc src/sources/sources.ih src/sources/sources.cc src/sources/reloadStaleSources.cc src/sources/indexoperator.cc src/sources/getInstance.cc src/sources/erase.cc src/sources/destroy.cc src/source/source.hh src/source/upToDate.cc src/source/source.ih src/source/stale.cc src/source/source.cc src/source/setType.cc src/source/scan.cc src/source/reload.cc src/source/producesOutput.cc src/source/outputFilename.cc src/source/markAsDone.cc src/source/isObjectTarget.cc src/source/isLocalHeader.cc src/source/isLibTarget.cc src/source/isInternalHeader.cc src/source/isHeader.cc src/source/isBinTarget.cc src/source/hasSourceExtension.cc src/source/genDeps.cc src/source/directory.cc src/source/directDeps.cc src/source/dependencies.cc src/source/changed.cc src/source/buildObjectTarget.cc src/source/buildHeader.cc src/source/buildBinTarget.cc src/source/build.cc src/source/basenameWithoutExtension.cc src/sourceScanner/sourceScanner.hh src/sourceScanner/yylex.cc src/sourceScanner/sourceScanner.ih src/sourceScanner/storeLocal.cc src/sourceScanner/storeIgnore.cc src/sourceScanner/storeGlobal.cc src/sourceScanner/sourceScanner.cc src/sourceScanner/includes.cc src/sourceScanner/hasMainFunction.cc src/sourceScanner/hasDefine.cc src/sourceScanner/lexer.h src/arguments/arguments.hh src/arguments/values.cc src/arguments/arguments.ih src/arguments/value.cc src/arguments/statics.cc src/arguments/outputOptions.cc src/arguments/initialize.cc src/arguments/getInstance.cc src/arguments/flagged.cc src/arguments/destroy.cc src/arguments/clear.cc src/arguments/arguments.cc )

=== doc/ccbuild/Makefile ===
.PHONY: all
all: ccbuild.1 ccbuild.html ccbuildman.html ccbuild.pdf
	

ccbuild.1: ccbuildman.sgml
	docbook-to-man $< > $@

ccbuildman.html: ccbuildman.sgml
	docbook2html -u -o . $<

ccbuild.pdf: ccbuild.dvi
	dvipdf $<

ccbuild.dvi: ccbuild.sgml
	debiandoc2dvi $<
	
ccbuild.html: ccbuild.sgml
	debiandoc2html $<

clean:
	rm -f ccbuild.1 ccbuild.dvi ccbuild.pdf ccbuildman.html ccbuild.log ccbuild.tex-in ccbuild.toc ccbuild.aux missfont.log ccbuild.tex
	rm -rf ccbuild.html

=== debian/changelog ===
ccbuild (2.0.6-2) unstable; urgency=low

  [ Jari Aalto ]
  * debian/control
    - (Build-Depends): Really update from libgnutls-dev to
      libgnutls-openssl-dev (Closes: #731620). Thanks Andreas Metzler
      <ametzler@bebt.de> for the heads up.
  * debian/patches:
    - (20): Add From header.
  * debian/copyright
    - Update year.

  [ tony mancill ]
  * debian/control and debian/rules
    - Use g++-4.8 explicitly to work around g++-4.6 on sparc.
      (Closes: #727118)

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 07 Apr 2014 07:41:28 +0300

ccbuild (2.0.6-1) unstable; urgency=low

  * New upstream release
    - libbobcat now requires --std=c++11
      (FTBFS serious; Closes: #727118).
    - Thanks Andreas Rönnquist <gusnan@gusnan.se> for helping.
  * debian/control
    - (Build-Depends): Use libgnutls-openssl-dev (Closes: #731620).
    - (Standards-Version): Update to 3.9.5.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 16 Jan 2014 10:01:34 +0200

ccbuild (2.0.5-1) unstable; urgency=low

  * New upstream release
    - Include --std=c++11 for bobcat's headers to allow for a clean
      build (Closes: #727118).
  * debian/control
    - (Standards-Version): Update to 3.9.5.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 05 Nov 2013 12:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), automake, autoconf, autotools-dev, flex, libgnutls-dev, libbobcat-dev (>= 2.22), pkg-config, libboost-dev (>= 1.37)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+ automake,
+ autoconf,
+ autotools-dev,
+ flex,
+ libgnutls-openssl-dev,
+ libbobcat-dev (>= 2.22),
+ pkg-config,
+ libboost-dev (>= 1.37),
+ g++-4.8 (>= 4.8.1)
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ccbuild.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ccbuild.git
 Homepage: http://freshmeat.net/projects/ccbuild

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
  aclocal.m4 \
  configure \
  configure.in \
- depcomp \
  install-sh \
  missing \
  doc/ccbuild/Makefile \
@@ -69,7 +68,7 @@
 
 	# For some reason, the only way to pass flags is in CXX
 	@echo "# environment: CXX $(CXX) CFLAGS $(CFLAGS) CXXFLAGS $(CXXFLAGS)"
-	$(MAKE) CXX="g++ $(CXXFLAGS)" DESTDIR=$(CURDIR)/debian/ccbuild install
+	$(MAKE) CXX="g++-4.8 $(CXXFLAGS)" DESTDIR=$(CURDIR)/debian/ccbuild install
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3

# NOTE: Can't use address as is, because it's some kind of PHP script
# Nevertheless this wath keeps the maintainer's QA page up to date
# with latest release.

http://www.logfish.net/pr/ccbuild/downloads .*ccbuild-([0-9\.]+)\.tar\.gz

## ccbuild 2.0.7

=== debian/changelog ===
ccbuild (2.0.7-2b4) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Matthias Klumpp <mak@debian.org>  Sun, 29 May 2016 18:42:53 +0200

ccbuild (2.0.7-2b3) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 24 May 2016 17:05:32 +0200

ccbuild (2.0.7-2b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 18 Mar 2016 23:09:25 +0000

ccbuild (2.0.7-2b1) staging; urgency=high

  * No-change rebuild against libgnutls30

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 18 Mar 2016 23:09:25 +0000

ccbuild (2.0.7-2) unstable; urgency=medium

  * Add upstream patch to build against flex-2.6.0. (Closes: #812974)
  * Update build-dep on flex to >= 2.6.0.
  * Bump Standards-Version to 3.9.7.

 -- tony mancill <tmancill@debian.org>  Sat, 05 Mar 2016 09:54:51 -0800

ccbuild (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Add tmancill@debian.org to Uploaders.
  * Adjust debian/rules for cmake-based bootstrapping of ccbuild.
  * Drop autoconf-related aspects of package build. 
  * Include patches for typos in the source and manpages.

 -- tony mancill <tmancill@debian.org>  Sat, 28 Nov 2015 12:13:23 -0800

ccbuild (2.0.6-3) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update from Freshmeat to Author's site.
  * debian/control and debian/rules
    - Drop explicit g++-4.8 build dependency and use default g++.
      (RC serious; Closes: #751308).
  * debian/copyright
    - Add Dimitri John Ledkov <xnox@ubuntu.com>.
  * debian/watch
    - Fix typo in comment.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 04 Aug 2014 10:21:00 +0300

ccbuild (2.0.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS, flex is now fixed thus no need to fix up the sources any
    more. (Closes: #747955)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 May 2014 16:20:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
+Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 9),
- automake,
- autoconf,
- autotools-dev,
- flex,
+ cmake,
+ flex (>= 2.6.0),
  libgnutls-openssl-dev,
  libbobcat-dev (>= 2.22),
  pkg-config,
- libboost-dev (>= 1.37),
- g++-4.8 (>= 4.8.1)
-Standards-Version: 3.9.5
+ libboost-dev (>= 1.37)
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ccbuild.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ccbuild.git
-Homepage: http://freshmeat.net/projects/ccbuild
+Homepage: http://www.logfish.net/pr/ccbuild
 
 Package: ccbuild
 Architecture: any

## ccbuild 2.0.7+git20160227.c1179286

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (ccbuild)
add_definitions(-DVERSION="2.0.7")
link_libraries(gomp bobcat gnutls)
add_definitions(-fopenmp)
add_executable(ccbuild src/ccbuild.cc src/MD5Info/statics.cc src/MD5Info/save.cc src/MD5Info/old.cc src/MD5Info/load.cc src/MD5Info/hashFilenameFor.cc src/MD5Info/getInstance.cc src/MD5Info/destroy.cc src/MD5Info/contentHash.cc src/MD5Info/MD5Info.cc src/options/statics.cc src/system/username.cc src/system/uname.cc src/system/trimmed.cc src/system/trim.cc src/system/system.cc src/system/statics.cc src/system/sleep.cc src/system/resolveTest.cc src/system/projectName.cc src/system/parseArguments.cc src/system/mkdtemp.cc src/system/md5.cc src/system/makefileForAll.cc src/system/makefileFor.cc src/system/localSourcesInto.cc src/system/lib.cc src/system/inspect.cc src/system/icmake.cc src/system/exit.cc src/system/dotgraphForAll.cc src/system/dotgraphFor.cc src/system/distclean.cc src/system/destroy.cc src/system/depsFor.cc src/system/collectTargets.cc src/system/clean.cc src/system/check.cc src/system/changeTo.cc src/system/buildAll.cc src/system/build.cc src/system/batchCompile.cc src/system/addArguments.cc src/system/aapForAll.cc src/system/aapFor.cc src/string/toUpper.cc src/string/replace.cc src/globallocks/statics.cc src/globals/statics.cc src/globals/indexoperator.cc src/globals/globals.cc src/globals/getInstance.cc src/globals/destroy.cc src/fileSystem/touch.cc src/fileSystem/rmIfExists.cc src/fileSystem/rmDirectoryIfExists.cc src/fileSystem/rename.cc src/fileSystem/recursiveGlobDirectoriesInto.cc src/fileSystem/newer.cc src/fileSystem/modTime.cc src/fileSystem/isReadable.cc src/fileSystem/isDirectory.cc src/fileSystem/globSourceFilesInto.cc src/fileSystem/globInto.cc src/fileSystem/globFilesInto.cc src/fileSystem/globDirectoriesInto.cc src/fileSystem/fileName.cc src/fileSystem/fileExists.cc src/fileSystem/ensureDirectory.cc src/fileSystem/directoryName.cc src/fileSystem/cwd.cc src/fileSystem/cleanPath.cc src/fileSystem/baseName.cc src/fileSystem/absolutePath.cc src/problem/problem.cc src/resolver/statics.cc src/resolver/resolver.cc src/resolver/resolveInto.cc src/resolver/resolve.cc src/resolver/loadIfExists.cc src/resolver/getInstance.cc src/resolver/expand.cc src/resolver/destroy.cc src/compiler/statics.cc src/compiler/splitInto.cc src/compiler/precompileCommand.cc src/compiler/precompile.cc src/compiler/operator_add.cc src/compiler/linkCommand.cc src/compiler/link.cc src/compiler/libCommand.cc src/compiler/lib.cc src/compiler/countFirstLinkerArguments.cc src/compiler/compileCommand.cc src/compiler/compile.cc src/compiler/cls.cc src/compiler/ar.cc src/compiler/addObject.cc src/compiler/addArgument.cc src/sources/statics.cc src/sources/sources.cc src/sources/reloadStaleSources.cc src/sources/indexoperator.cc src/sources/getInstance.cc src/sources/erase.cc src/sources/destroy.cc src/source/upToDate.cc src/source/stale.cc src/source/source.cc src/source/setType.cc src/source/scan.cc src/source/reload.cc src/source/producesOutput.cc src/source/outputFilename.cc src/source/markAsDone.cc src/source/isObjectTarget.cc src/source/isLocalHeader.cc src/source/isLibTarget.cc src/source/isInternalHeader.cc src/source/isHeader.cc src/source/isBinTarget.cc src/source/hasSourceExtension.cc src/source/genDeps.cc src/source/directory.cc src/source/directDeps.cc src/source/dependencies.cc src/source/changed.cc src/source/buildObjectTarget.cc src/source/buildHeader.cc src/source/buildBinTarget.cc src/source/build.cc src/source/basenameWithoutExtension.cc src/sourceScanner/yylex.cc src/sourceScanner/storeLocal.cc src/sourceScanner/storeIgnore.cc src/sourceScanner/storeGlobal.cc src/sourceScanner/sourceScanner.cc src/sourceScanner/includes.cc src/sourceScanner/hasMainFunction.cc src/sourceScanner/hasDefine.cc src/arguments/values.cc src/arguments/value.cc src/arguments/statics.cc src/arguments/outputOptions.cc src/arguments/initialize.cc src/arguments/getInstance.cc src/arguments/flagged.cc src/arguments/destroy.cc src/arguments/clear.cc src/arguments/arguments.cc )
install(TARGETS ccbuild DESTINATION bin)
install(FILES doc/ccbuild/ccbuild.1 DESTINATION share/man/man1)

=== debian/changelog ===
ccbuild (2.0.7+git20160227.c1179286-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #834636)
  * debian/control: migrated DH level to 13.
  * debian/patches/cross.patch:
      - Added a header.
      - Renamed to 010_cross.patch.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2020 00:55:18 -0300

ccbuild (2.0.7+git20160227.c1179286-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Helmut Grohne ]
  * Fix FTCBFS: Use dh_auto_configure. (Closes: #950130)

  [ tony mancill ]
  * Set "Rules-Requires-Root: no" in debian/control
  * Specify debhelper compat 12 via debhelper-compat dependency
  * Bump Standards-Version to 4.5.0
  * Freshen years in debian/copyright and Homepage link
  * Update debian/watch to scan github repo

 -- tony mancill <tmancill@debian.org>  Sun, 09 Feb 2020 09:26:51 -0800

ccbuild (2.0.7+git20160227.c1179286-1) unstable; urgency=medium

  * Use an upstream version number that is actually greater than 2.0.7.

 -- tony mancill <tmancill@debian.org>  Fri, 19 Aug 2016 05:27:46 -0700

ccbuild (2.0.7~git20160227.c1179286-1) unstable; urgency=medium

  * Create new tarball from upstream git.
    (Closes: #834286)
  * Drop unneeded debian/patches.
  * Bump Standards-Version to 3.9.8.

 -- tony mancill <tmancill@debian.org>  Thu, 18 Aug 2016 22:10:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ccbuild
 Section: devel
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
  cmake,
  flex (>= 2.6.0),
  libgnutls-openssl-dev,
  libbobcat-dev (>= 2.22),
  pkg-config,
  libboost-dev (>= 1.37)
-Standards-Version: 3.9.7
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ccbuild.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ccbuild.git
-Homepage: http://www.logfish.net/pr/ccbuild
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/ccbuild
+Vcs-Git: https://salsa.debian.org/debian/ccbuild.git
+Homepage: https://github.com/bneijt/ccbuild
+Rules-Requires-Root: no
 
 Package: ccbuild
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	 = ccbuild

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh  $@

# End of file

=== debian/watch ===
version=4
https://github.com/bneijt/ccbuild/tags .*/v([\d.]+)\.tar\.gz

## ccbuild 2.0.9

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (ccbuild)

set (CMAKE_CXX_STANDARD 17)

find_package(FLEX)
FLEX_TARGET(SourceScanner "src/sourceScanner/lexer"  "src/sourceScanner/yylex.cc" )
string(SUBSTRING ${FLEX_VERSION} 0 1 FLEX_VERSION_MAJOR)
string(SUBSTRING ${FLEX_VERSION} 2 1 FLEX_VERSION_MINOR)

add_definitions(-DVERSION="v2.0.7-39-gdf7b35c" -DFLEX_VERSION_MAJOR=${FLEX_VERSION_MAJOR} -DFLEX_VERSION_MINOR=${FLEX_VERSION_MINOR})
link_libraries(gomp bobcat gnutls)
add_definitions(-fopenmp)
add_executable(ccbuild src/ccbuild.cc src/MD5Info/statics.cc src/MD5Info/save.cc src/MD5Info/old.cc src/MD5Info/load.cc src/MD5Info/hashFilenameFor.cc src/MD5Info/getInstance.cc src/MD5Info/destroy.cc src/MD5Info/contentHash.cc src/MD5Info/MD5Info.cc src/options/statics.cc src/system/username.cc src/system/uname.cc src/system/trimmed.cc src/system/trim.cc src/system/system.cc src/system/statics.cc src/system/sleep.cc src/system/resolveTest.cc src/system/projectName.cc src/system/parseArguments.cc src/system/mkdtemp.cc src/system/md5.cc src/system/makefileForAll.cc src/system/makefileFor.cc src/system/localSourcesInto.cc src/system/lib.cc src/system/inspect.cc src/system/icmake.cc src/system/exit.cc src/system/dotgraphForAll.cc src/system/dotgraphFor.cc src/system/distclean.cc src/system/destroy.cc src/system/depsFor.cc src/system/collectTargets.cc src/system/clean.cc src/system/check.cc src/system/changeTo.cc src/system/buildAll.cc src/system/build.cc src/system/batchCompile.cc src/system/addArguments.cc src/system/aapForAll.cc src/system/aapFor.cc src/string/toUpper.cc src/string/replace.cc src/globallocks/statics.cc src/globals/statics.cc src/globals/indexoperator.cc src/globals/globals.cc src/globals/getInstance.cc src/globals/destroy.cc src/fileSystem/touch.cc src/fileSystem/rmIfExists.cc src/fileSystem/rmDirectoryIfExists.cc src/fileSystem/rename.cc src/fileSystem/recursiveGlobDirectoriesInto.cc src/fileSystem/newer.cc src/fileSystem/modTime.cc src/fileSystem/isReadable.cc src/fileSystem/isDirectory.cc src/fileSystem/globSourceFilesInto.cc src/fileSystem/globInto.cc src/fileSystem/globFilesInto.cc src/fileSystem/globDirectoriesInto.cc src/fileSystem/fileName.cc src/fileSystem/fileExists.cc src/fileSystem/ensureDirectory.cc src/fileSystem/directoryName.cc src/fileSystem/cwd.cc src/fileSystem/cleanPath.cc src/fileSystem/baseName.cc src/fileSystem/absolutePath.cc src/problem/problem.cc src/resolver/statics.cc src/resolver/resolver.cc src/resolver/resolveInto.cc src/resolver/resolve.cc src/resolver/loadIfExists.cc src/resolver/getInstance.cc src/resolver/expand.cc src/resolver/destroy.cc src/compiler/statics.cc src/compiler/splitInto.cc src/compiler/precompileCommand.cc src/compiler/precompile.cc src/compiler/operator_add.cc src/compiler/linkCommand.cc src/compiler/link.cc src/compiler/libCommand.cc src/compiler/lib.cc src/compiler/countFirstLinkerArguments.cc src/compiler/compileCommand.cc src/compiler/compile.cc src/compiler/cls.cc src/compiler/ar.cc src/compiler/addObject.cc src/compiler/addArgument.cc src/sources/statics.cc src/sources/sources.cc src/sources/reloadStaleSources.cc src/sources/indexoperator.cc src/sources/getInstance.cc src/sources/erase.cc src/sources/destroy.cc src/source/upToDate.cc src/source/stale.cc src/source/source.cc src/source/setType.cc src/source/scan.cc src/source/reload.cc src/source/producesOutput.cc src/source/outputFilename.cc src/source/markAsDone.cc src/source/isObjectTarget.cc src/source/isLocalHeader.cc src/source/isLibTarget.cc src/source/isInternalHeader.cc src/source/isHeader.cc src/source/isBinTarget.cc src/source/hasSourceExtension.cc src/source/genDeps.cc src/source/directory.cc src/source/directDeps.cc src/source/dependencies.cc src/source/changed.cc src/source/buildObjectTarget.cc src/source/buildHeader.cc src/source/buildBinTarget.cc src/source/build.cc src/source/basenameWithoutExtension.cc src/sourceScanner/storeLocal.cc src/sourceScanner/storeIgnore.cc src/sourceScanner/storeGlobal.cc src/sourceScanner/sourceScanner.cc src/sourceScanner/includes.cc src/sourceScanner/hasMainFunction.cc src/sourceScanner/hasDefine.cc src/arguments/values.cc src/arguments/value.cc src/arguments/statics.cc src/arguments/outputOptions.cc src/arguments/initialize.cc src/arguments/getInstance.cc src/arguments/flagged.cc src/arguments/destroy.cc src/arguments/clear.cc src/arguments/arguments.cc  ${FLEX_SourceScanner_OUTPUTS})
install(TARGETS ccbuild DESTINATION bin)
install(FILES doc/ccbuild/ccbuild.1 DESTINATION share/man/man1)

=== debian/changelog ===
ccbuild (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9 (Closes: #984007)
  * Adopt package and set new maintainer (Closes: #834636)
  * Update debian/watch for new upstream tag format
  * Update debian/rules for new upstream release
  * Bump Standards-Version to 4.5.1
  * Freshen debian/copyright
  * Add typos patch.
  * Add debian/gbp.conf

 -- tony mancill <tmancill@debian.org>  Sat, 27 Mar 2021 07:12:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ccbuild
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
  flex (>= 2.6.0),
+ libfl-dev,
  libgnutls-openssl-dev,
  libbobcat-dev (>= 2.22),
  pkg-config,
  libboost-dev (>= 1.37)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/ccbuild
 Vcs-Git: https://salsa.debian.org/debian/ccbuild.git
 Homepage: https://github.com/bneijt/ccbuild

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,11 @@
 export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-override_dh_auto_configure:
-	./bootstrap
-	dh_auto_configure
-
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
+override_dh_clean:
+	dh_clean -X CMakeLists.txt
 
 %:
 	dh  $@

=== debian/watch ===
version=4
https://github.com/bneijt/ccbuild/tags .*/v?([\d.]+)\.tar\.gz

## ccbuild 2.0.11

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5)
project (ccbuild)

set (CMAKE_CXX_STANDARD 23)

find_package(FLEX)
FLEX_TARGET(SourceScanner "src/sourceScanner/lexer"  "src/sourceScanner/yylex.cc" )
string(SUBSTRING ${FLEX_VERSION} 0 1 FLEX_VERSION_MAJOR)
string(SUBSTRING ${FLEX_VERSION} 2 1 FLEX_VERSION_MINOR)

add_definitions(-DVERSION="2.0.11" -DFLEX_VERSION_MAJOR=${FLEX_VERSION_MAJOR} -DFLEX_VERSION_MINOR=${FLEX_VERSION_MINOR})
link_libraries(gomp gnutls)
add_definitions(-fopenmp)
add_executable(ccbuild src/ccbuild.cc src/MD5Info/statics.cc src/MD5Info/save.cc src/MD5Info/old.cc src/MD5Info/load.cc src/MD5Info/hashFilenameFor.cc src/MD5Info/getInstance.cc src/MD5Info/destroy.cc src/MD5Info/contentHash.cc src/MD5Info/MD5Info.cc src/options/statics.cc src/system/username.cc src/system/uname.cc src/system/trimmed.cc src/system/trim.cc src/system/system.cc src/system/statics.cc src/system/sleep.cc src/system/resolveTest.cc src/system/projectName.cc src/system/parseArguments.cc src/system/mkdtemp.cc src/system/md5.cc src/system/makefileForAll.cc src/system/makefileFor.cc src/system/localSourcesInto.cc src/system/lib.cc src/system/inspect.cc src/system/icmake.cc src/system/exit.cc src/system/dotgraphForAll.cc src/system/dotgraphFor.cc src/system/distclean.cc src/system/destroy.cc src/system/depsFor.cc src/system/collectTargets.cc src/system/clean.cc src/system/check.cc src/system/changeTo.cc src/system/buildAll.cc src/system/build.cc src/system/batchCompile.cc src/system/addArguments.cc src/system/aapForAll.cc src/system/aapFor.cc src/string/toUpper.cc src/string/replace.cc src/globallocks/statics.cc src/globals/statics.cc src/globals/indexoperator.cc src/globals/globals.cc src/globals/getInstance.cc src/globals/destroy.cc src/fileSystem/touch.cc src/fileSystem/rmIfExists.cc src/fileSystem/rmDirectoryIfExists.cc src/fileSystem/rename.cc src/fileSystem/recursiveGlobDirectoriesInto.cc src/fileSystem/newer.cc src/fileSystem/modTime.cc src/fileSystem/isReadable.cc src/fileSystem/isDirectory.cc src/fileSystem/globSourceFilesInto.cc src/fileSystem/globInto.cc src/fileSystem/globFilesInto.cc src/fileSystem/globDirectoriesInto.cc src/fileSystem/fileName.cc src/fileSystem/fileExists.cc src/fileSystem/ensureDirectory.cc src/fileSystem/directoryName.cc src/fileSystem/cwd.cc src/fileSystem/cleanPath.cc src/fileSystem/baseName.cc src/fileSystem/absolutePath.cc src/problem/problem.cc src/resolver/statics.cc src/resolver/resolver.cc src/resolver/resolveInto.cc src/resolver/resolve.cc src/resolver/loadIfExists.cc src/resolver/getInstance.cc src/resolver/expand.cc src/resolver/destroy.cc src/compiler/statics.cc src/compiler/splitInto.cc src/compiler/precompileCommand.cc src/compiler/precompile.cc src/compiler/operator_add.cc src/compiler/linkCommand.cc src/compiler/link.cc src/compiler/libCommand.cc src/compiler/lib.cc src/compiler/countFirstLinkerArguments.cc src/compiler/compileCommand.cc src/compiler/compile.cc src/compiler/cls.cc src/compiler/ar.cc src/compiler/addObject.cc src/compiler/addArgument.cc src/sources/statics.cc src/sources/sources.cc src/sources/reloadStaleSources.cc src/sources/indexoperator.cc src/sources/getInstance.cc src/sources/erase.cc src/sources/destroy.cc src/source/upToDate.cc src/source/stale.cc src/source/source.cc src/source/setType.cc src/source/scan.cc src/source/reload.cc src/source/producesOutput.cc src/source/outputFilename.cc src/source/markAsDone.cc src/source/isObjectTarget.cc src/source/isLocalHeader.cc src/source/isLibTarget.cc src/source/isInternalHeader.cc src/source/isHeader.cc src/source/isBinTarget.cc src/source/hasSourceExtension.cc src/source/genDeps.cc src/source/directory.cc src/source/directDeps.cc src/source/dependencies.cc src/source/changed.cc src/source/buildObjectTarget.cc src/source/buildHeader.cc src/source/buildBinTarget.cc src/source/build.cc src/source/basenameWithoutExtension.cc src/sourceScanner/storeLocal.cc src/sourceScanner/storeIgnore.cc src/sourceScanner/storeGlobal.cc src/sourceScanner/sourceScanner.cc src/sourceScanner/includes.cc src/sourceScanner/hasMainFunction.cc src/sourceScanner/hasDefine.cc src/arguments/values.cc src/arguments/value.cc src/arguments/statics.cc src/arguments/outputOptions.cc src/arguments/initialize.cc src/arguments/getInstance.cc src/arguments/flagged.cc src/arguments/destroy.cc src/arguments/clear.cc src/arguments/arguments.cc  ${FLEX_SourceScanner_OUTPUTS})
install(TARGETS ccbuild DESTINATION bin)
install(FILES doc/ccbuild/ccbuild.1 DESTINATION share/man/man1)

=== doc/ccbuild/Makefile ===
.PHONY: all
all: ccbuild.1 ccbuildman.html
#TODO Add ccbuild.pdf and ccbuild.html back to the list


ccbuild.1:  ccbuild.1.md
	pandoc -s -t man $< > $@

ccbuildman.html:  ccbuild.1.md
	pandoc -s -t html $< > $@

ccbuild.pdf: ccbuild.dvi
	dvipdf $<

ccbuild.dvi: ccbuild.sgml
	debiandoc2dvi $<

ccbuild.html: ccbuild.sgml
	debiandoc2html $<

clean:
	rm -f ccbuild.1 ccbuildman.html ccbuild.log ccbuild.tex-in ccbuild.toc ccbuild.aux missfont.log ccbuild.tex
	#rm -f ccbuild.pdf ccbuild.dvi
	#rm -rf ccbuild.html

=== debian/changelog ===
ccbuild (2.0.11-1) unstable; urgency=medium

  * New upstream version 2.0.11
  * Freshen patches and drop patch for CMake 4 included upstream.
  * Remove dependency on bobcat
  * Update debian/watch to use version 5 with Github template

 -- tony mancill <tmancill@debian.org>  Sun, 14 Sep 2025 10:01:06 -0700

ccbuild (2.0.9-3) unstable; urgency=medium

  * Add patch for CMake 4 (Closes: #112768)
    Also bump to CXX std 23 in preparation for bobcat 6.09.00.

 -- tony mancill <tmancill@debian.org>  Mon, 01 Sep 2025 20:33:47 -0700

ccbuild (2.0.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ tony mancill ]
  * Bump Standards-Version to 4.7.2
  * Freshen years in debian/copyright
  * Address failure to build twice in a row (Closes: #1043852)
  * Update B-D on pkg-config to pkgconf

 -- tony mancill <tmancill@debian.org>  Mon, 25 Aug 2025 22:16:33 -0700

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
  flex (>= 2.6.0),
  libfl-dev,
  libgnutls-openssl-dev,
- libbobcat-dev (>= 2.22),
- pkg-config,
+ pkgconf,
  libboost-dev (>= 1.37)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/ccbuild
 Vcs-Git: https://salsa.debian.org/debian/ccbuild.git
 Homepage: https://github.com/bneijt/ccbuild

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	 = ccbuild

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	dh_clean -X CMakeLists.txt
	find . -type f -name yylex.cc -delete

%:
	dh  $@

=== debian/watch ===
Version: 5

Template: Github
Owner: bneijt
Project: ccbuild
